import { PopoverOrigin } from '@mui/material/Popover';
import { MoreFacetItem } from './types';
declare const adjustVerticalPopupLayout: (anchorEl: HTMLElement, popupHeight: number) => {
    verticalOrigin: "bottom" | "top";
    popupHeight: number;
};
declare const filterItemsInGroups: (groups: MoreFacetItem[], filterText: string) => MoreFacetItem[];
declare const isSelectedFacet: ({ facet, selectedFacetsFieldNames }: {
    facet: any;
    selectedFacetsFieldNames: any;
}) => boolean;
declare const constructPopoverOrigin: (verticalOrigin: PopoverOrigin["vertical"], horizontalOrigin?: PopoverOrigin["horizontal"]) => PopoverOrigin;
export { adjustVerticalPopupLayout, filterItemsInGroups, isSelectedFacet, constructPopoverOrigin };
